#include <p24fxxxx.h>
#include <ports.h>

/* Configuration Settings */
// OSC Input = XT + PLL
// CPU Clock = ( 96000000 / 3 ) / 1
// Disabld WDT , ICSP/ICD = PGC2 , PGD2 
_CONFIG1( JTAGEN_OFF & GCP_OFF & GWRP_OFF & ICS_PGx2 &
		  FWDTEN_OFF & WINDIS_OFF & FWPSA_PR128 & WDTPS_PS32768 )

_CONFIG2( IESO_OFF & PLLDIV_DIV2 & FNOSC_PRIPLL & 
		  FCKSM_CSDCMD & OSCIOFNC_OFF & IOL1WAY_OFF & DISUVREG_OFF & POSCMOD_XT )

_CONFIG3( WPEND_WPSTARTMEM & WPCFG_WPCFGDIS & WPDIS_WPDIS & WPFP_WPFP511 )

#define SystemFrequency		( ( 96000000L / 3 ) / 1 ) / 2

int main( void )
{
	unsigned long i = 0;

	// Divide by 1
	CLKDIVbits.CPDIV0 = 0;
	CLKDIVbits.CPDIV1 = 0;
	
	// CPU Clock = PB Clock / 1
	CLKDIVbits.DOZEN = 0;

	mPORTAConfig( 0x00 );

    while( 1 )
	{
		// To Do : LEDAC
		LATA++;

		// To Do : Ƶ{ALEDܤƥiHQHҹıC
		// (ըϥγnStopwatch\ӭp⩵ɶ)
		for( i = 0 ; i < 800000 ; i++ );
	}

    while( 1 );
}
